package com.adealink.weparty.im.session.adapter.viewbinder

import android.view.LayoutInflater
import android.view.ViewGroup
import com.adealink.weparty.commonui.recycleview.adapter.BindingViewHolder
import com.adealink.weparty.commonui.recycleview.adapter.multitype.ItemViewBinder
import com.adealink.weparty.im.databinding.LayoutSessionMessageInvisibleBinding
import com.adealink.weparty.im.session.mesasge.InVisibleMessageBean

/**
 * 不可见消息
 */
class InVisibleMessageViewBinder() :
    ItemViewBinder<InVisibleMessageBean, BindingViewHolder<LayoutSessionMessageInvisibleBinding>>() {
    override fun onCreateViewHolder(
        inflater: LayoutInflater,
        parent: ViewGroup
    ): BindingViewHolder<LayoutSessionMessageInvisibleBinding> {
        return BindingViewHolder(
            LayoutSessionMessageInvisibleBinding.inflate(
                inflater,
                parent,
                false
            )
        )
    }

    override fun onBindViewHolder(
        holder: BindingViewHolder<LayoutSessionMessageInvisibleBinding>,
        item: InVisibleMessageBean
    ) {
    }

}
